#!/usr/bin/env python3
# coding: utf-8

"""
    @file   ledbuz.py
    @brief  clignotement LED 1 Hz + buzzer

    @version   1.0
    @author    GS
    @date      1/07/2022
    @remark    https://docs.micropython.org/en/latest/library/machine.Pin.html
"""

# importation bibliothèques
from machine import Pin
from utime import sleep

# déclaration des constantes
LED_PIN  = 15
BUZZ_PIN = 12
ON       = 1
OFF      = 0

### Programme Principal  ###
led    = Pin(LED_PIN, Pin.OUT)
buzzer = Pin(BUZZ_PIN, Pin.OUT)

for _ in range(5):
    led.value(ON)
    buzzer.value(ON)
    sleep(0.5) 
    led.value(OFF)
    buzzer.value(OFF)
    sleep(0.5)
