#!/usr/bin/env python3
# coding: utf-8

"""
    @file   api.py
	@brief	projet emess, récupération repas

    @version   1.0
    @author    PG
    @date      04/06/2022
    @remark
"""

from flask import Flask, render_template, request
from datetime import datetime
import dal as dal


app = Flask(__name__, template_folder='tpl')

@app.route('/', methods=['GET'])
def index():
    """ endpoint """
    post  = []
    try:
        badge = request.args['badge']
        key   = request.args['key']
        if key != '722140910':
            raise KeyError
            
        data  = dal.DAL("./data/emess")
        row   = data.select_person(int(badge))
        
        if row == {}:
            # badge inconnu
            post.append({'name':'?', 'ack':'NAK'})
        else:
            today = str(datetime.now()).split(' ')[0]
            order = data.select_ootw(badge, today, today)
            
            if order == []:
                # repas non réservé
                post.append({'name':row['name'], 'fname':row['fname'], 'rank':row['rank'], 'received':'?', 'ack':'NAK'})
            else:
                if order[0]['received'] is not None:
                    # repas déjà réceptionné
                    ack = "NAK"
                else:
                    # tout est OK
                    order[0]['received'] = str(datetime.now()).split(' ')[1].split('.')[0]
                    data.update_order([(order[0]['received'], order[0]['IDorder'])])
                    ack = "ACK"

                post.append({'name':row['name'], 'fname':row['fname'], 'rank':row['rank'], 'received':order[0]['received'], 'ack':ack})
    except KeyError:
        post.append({'name':'?', 'ack':'NAK'})
        
    return render_template("api.json", post=post)

#main
app.run(port=5003, debug=True)
