#!/usr/bin/env python3
# coding: utf-8

"""
    @file   date.py
	@brief	projet emess, réservation repas

    @version   1.0
    @author    GS
    @date      04/06/2022
    @remark
"""

from datetime import datetime

def get_dotw() -> list:
    """
    @brief  donne la plage de dates de la semaine de lundi à vendredi
    @return liste de dates yyy-mm-dd
    """
    dt = datetime.now()     # get current datetime
    wd = dt.isoweekday()    # get weekday name
    if wd == 0:
        offset = -1
    else:
        offset = (wd + 5) % 6

    # getting the timestamp
    ts = datetime.timestamp(dt) - (offset*24*60*60)

    days = []
    for i in range(5):
        dt = datetime.fromtimestamp(ts)    # convert to datetime
        days.append( str(dt).split(' ')[0] )
        ts += 24*60*60
    return days
