#!/usr/bin/env python3
# coding: utf-8

"""
    @file   get_meal.py
	@brief	projet emess, simulation récupération repas

    @version   1.0
    @author    GS
    @date      04/06/2022
    @remark
"""

import requests
import json

endpoint = 'http://127.0.0.1:5003'

def searchApi(badge : int) -> bool:
    """ appel API pour récupérer un repas
    @params badge -- n° du badge
    @return True si l'appel s'est déroulé correctement, False si problème
    @remark on donne une clef pour sécuriser l'appel à l'API
    """
    status = False
    try:
        params   = {'badge': badge, 'key': 722140910}
        response = requests.get(endpoint, params=params)
        if response.status_code == 200:
            data = response.json()
            if data['name'] == '?':
                print('badge inconnu')
            elif data['ack'] == 'NAK':
                if data['received'] == '?':
                    print('repas non réservé')
                else:
                    print('repas déjà réceptionné')
                    print("@", data['received'])
            else:
                # tout est OK
                print(data['rank'], data['fname'], data['name'])
                print(data['ack'], "@", data['received'])
                status = True
    except requests.exceptions.ConnectionError:
        print('server not responding')
    return status

# main
loop = True
while loop:
    try:
        searchApi(int(input("n° de badge")))
    except ValueError:
        pass
    except KeyboardInterrupt:
        loop = False
